Create
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.PersonalClient.Create(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.PersonalClientServiceCreateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.personalClient.create();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/iam/personal_clients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowSourceCidr": [
"<string>"
],
"displayName": "<string>",
"expires": "<string>",
"scopedRoles": [
"<string>"
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/iam/personal_clients"
payload = {
"allowSourceCidr": ["<string>"],
"displayName": "<string>",
"expires": "<string>",
"scopedRoles": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowSourceCidr: ['<string>'],
displayName: '<string>',
expires: '<string>',
scopedRoles: ['<string>']
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/iam/personal_clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client": {
"allowSourceCidr": [
"<string>"
],
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"expiresTime": "2023-11-07T05:31:56Z",
"id": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z",
"scopedRoles": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"clientSecret": "<string>"
}Personal Client
Create
Create creates a new PersonalClient object for the current User.
POST
/
api
/
v1
/
iam
/
personal_clients
Create
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.PersonalClient.Create(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.PersonalClientServiceCreateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.personalClient.create();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The PersonalClientServiceCreateRequest message contains the fields for creating a new personal client.
Response
200 - application/json
The PersonalClientServiceCreateResponse message contains the created personal client and client secret.
The PersonalClientServiceCreateResponse message contains the created personal client and client secret.
Was this page helpful?
⌘I